Bug 199566 - Register a MediaStreamTrack as media producer only if it is a capture track
Summary: Register a MediaStreamTrack as media producer only if it is a capture track
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-07-07 19:00 PDT by youenn fablet
Modified: 2019-07-11 21:25 PDT (History)
6 users (show)

See Also:


Attachments
Patch (2.99 KB, patch)
2019-07-07 19:14 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews211 for win-future (13.96 MB, application/zip)
2019-07-07 23:25 PDT, Build Bot
no flags Details
Address post landing comments (1.47 KB, patch)
2019-07-10 09:17 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Address post landing comments (1.50 KB, patch)
2019-07-10 10:35 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-07-07 19:00:48 PDT
Register a MediaStreamTrack as media producer only if it is a capture track
Comment 1 youenn fablet 2019-07-07 19:14:18 PDT
Created attachment 373613 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2019-07-07 21:03:56 PDT
<rdar://problem/52761361>
Comment 3 Build Bot 2019-07-07 23:25:32 PDT
Comment on attachment 373613 [details]
Patch

Attachment 373613 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12685942

New failing tests:
css3/filters/blur-various-radii.html
Comment 4 Build Bot 2019-07-07 23:25:35 PDT
Created attachment 373616 [details]
Archive of layout-test-results from ews211 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews211  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 5 WebKit Commit Bot 2019-07-08 09:26:01 PDT
Comment on attachment 373613 [details]
Patch

Clearing flags on attachment: 373613

Committed r247208: <https://trac.webkit.org/changeset/247208>
Comment 6 WebKit Commit Bot 2019-07-08 09:26:03 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Darin Adler 2019-07-08 19:00:36 PDT
Comment on attachment 373613 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=373613&action=review

> Source/WebCore/Modules/mediastream/MediaStreamTrack.cpp:74
>              setMuted(document->page()->mutedState());

Change to setMuted(true)?
Comment 8 youenn fablet 2019-07-10 09:17:29 PDT
Reopening to attach new patch.
Comment 9 youenn fablet 2019-07-10 09:17:30 PDT
Created attachment 373838 [details]
Address post landing comments
Comment 10 WebKit Commit Bot 2019-07-10 10:28:37 PDT
Comment on attachment 373838 [details]
Address post landing comments

Rejecting attachment 373838 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'validate-changelog', '--check-oops', '--non-interactive', 373838, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

/Volumes/Data/EWS/WebKit/Source/WebCore/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: https://webkit-queues.webkit.org/results/12708520
Comment 11 youenn fablet 2019-07-10 10:35:38 PDT
Created attachment 373846 [details]
Address post landing comments
Comment 12 WebKit Commit Bot 2019-07-11 21:25:06 PDT
Comment on attachment 373846 [details]
Address post landing comments

Clearing flags on attachment: 373846

Committed r247382: <https://trac.webkit.org/changeset/247382>
Comment 13 WebKit Commit Bot 2019-07-11 21:25:07 PDT
All reviewed patches have been landed.  Closing bug.